# Created by pyp2rpm-3.3.8
%global pypi_name pytesseract
%global pypi_version 0.3.10

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Python-tesseract is a python wrapper for Google's Tesseract-OCR

License:        Apache License 2.0
URL:            https://github.com/madmaze/pytesseract
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Python Tesseract .. image:: :alt: Conda release

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(packaging) >= 21.3
Requires:       python3dist(pillow) >= 8
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
Python Tesseract .. image:: :alt: Conda release


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/pytesseract
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Mon Apr 24 2023 mockbuilder - 0.3.10-1
- Initial package.